马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。
您需要 登录 才可以下载或查看,没有账号?立即注册
×
问题:
Is there a way to tag a new pulldown menu at the end? For example, at the first
available position instead of at a fixed position? How do I know what this
position is so that I can swap the menus?
解答:
You can use the following function to find the last position on a pop menu:
 -
- (defun lastmenu(/ pos)
- (setq pos 1)
- (while (menucmd (strcat "P" (itoa pos) ".1=?"))
- (setq pos (1+ pos))
- )
- pos
- )
- (defun c:placemenu()
- (menucmd (strcat "P" (itoa (1- (lastmenu))) "+=mymenu.pop2"))
- )
It is recommended you place the menu before the help menu instead of at the very
last position.
|